var __webpack_modules__ = {
    "../../node_modules/.pnpm/picocolors@1.0.0/node_modules/picocolors/picocolors.js": function(module, __unused_webpack_exports, __webpack_require__) {
        let tty = __webpack_require__("tty");
        let isColorSupported = !("NO_COLOR" in process.env || process.argv.includes("--no-color")) && ("FORCE_COLOR" in process.env || process.argv.includes("--color") || "win32" === process.platform || tty.isatty(1) && "dumb" !== process.env.TERM || "CI" in process.env);
        let formatter = (open, close, replace = open)=>(input)=>{
                let string = "" + input;
                let index = string.indexOf(close, open.length);
                return ~index ? open + replaceClose(string, close, replace, index) + close : open + string + close;
            };
        let replaceClose = (string, close, replace, index)=>{
            let start = string.substring(0, index) + replace;
            let end = string.substring(index + close.length);
            let nextIndex = end.indexOf(close);
            return ~nextIndex ? start + replaceClose(end, close, replace, nextIndex) : start + end;
        };
        let createColors = (enabled = isColorSupported)=>({
                isColorSupported: enabled,
                reset: enabled ? (s)=>`\x1b[0m${s}\x1b[0m` : String,
                bold: enabled ? formatter("\x1b[1m", "\x1b[22m", "\x1b[22m\x1b[1m") : String,
                dim: enabled ? formatter("\x1b[2m", "\x1b[22m", "\x1b[22m\x1b[2m") : String,
                italic: enabled ? formatter("\x1b[3m", "\x1b[23m") : String,
                underline: enabled ? formatter("\x1b[4m", "\x1b[24m") : String,
                inverse: enabled ? formatter("\x1b[7m", "\x1b[27m") : String,
                hidden: enabled ? formatter("\x1b[8m", "\x1b[28m") : String,
                strikethrough: enabled ? formatter("\x1b[9m", "\x1b[29m") : String,
                black: enabled ? formatter("\x1b[30m", "\x1b[39m") : String,
                red: enabled ? formatter("\x1b[31m", "\x1b[39m") : String,
                green: enabled ? formatter("\x1b[32m", "\x1b[39m") : String,
                yellow: enabled ? formatter("\x1b[33m", "\x1b[39m") : String,
                blue: enabled ? formatter("\x1b[34m", "\x1b[39m") : String,
                magenta: enabled ? formatter("\x1b[35m", "\x1b[39m") : String,
                cyan: enabled ? formatter("\x1b[36m", "\x1b[39m") : String,
                white: enabled ? formatter("\x1b[37m", "\x1b[39m") : String,
                gray: enabled ? formatter("\x1b[90m", "\x1b[39m") : String,
                bgBlack: enabled ? formatter("\x1b[40m", "\x1b[49m") : String,
                bgRed: enabled ? formatter("\x1b[41m", "\x1b[49m") : String,
                bgGreen: enabled ? formatter("\x1b[42m", "\x1b[49m") : String,
                bgYellow: enabled ? formatter("\x1b[43m", "\x1b[49m") : String,
                bgBlue: enabled ? formatter("\x1b[44m", "\x1b[49m") : String,
                bgMagenta: enabled ? formatter("\x1b[45m", "\x1b[49m") : String,
                bgCyan: enabled ? formatter("\x1b[46m", "\x1b[49m") : String,
                bgWhite: enabled ? formatter("\x1b[47m", "\x1b[49m") : String
            });
        module.exports = createColors();
        module.exports.createColors = createColors;
    },
    tty: function(module) {
        "use strict";
        module.exports = require("tty");
    }
};
var __webpack_module_cache__ = {};
function __webpack_require__(moduleId) {
    var cachedModule = __webpack_module_cache__[moduleId];
    if (void 0 !== cachedModule) return cachedModule.exports;
    var module = __webpack_module_cache__[moduleId] = {
        exports: {}
    };
    __webpack_modules__[moduleId](module, module.exports, __webpack_require__);
    return module.exports;
}
(()=>{
    __webpack_require__.n = function(module) {
        var getter = module && module.__esModule ? function() {
            return module['default'];
        } : function() {
            return module;
        };
        __webpack_require__.d(getter, {
            a: getter
        });
        return getter;
    };
})();
(()=>{
    __webpack_require__.d = function(exports1, definition) {
        for(var key in definition)if (__webpack_require__.o(definition, key) && !__webpack_require__.o(exports1, key)) Object.defineProperty(exports1, key, {
            enumerable: true,
            get: definition[key]
        });
    };
})();
(()=>{
    __webpack_require__.o = function(obj, prop) {
        return Object.prototype.hasOwnProperty.call(obj, prop);
    };
})();
(()=>{
    __webpack_require__.r = function(exports1) {
        if ('undefined' != typeof Symbol && Symbol.toStringTag) Object.defineProperty(exports1, Symbol.toStringTag, {
            value: 'Module'
        });
        Object.defineProperty(exports1, '__esModule', {
            value: true
        });
    };
})();
var __webpack_exports__ = {};
(()=>{
    "use strict";
    __webpack_require__.r(__webpack_exports__);
    __webpack_require__.d(__webpack_exports__, {
        log: ()=>log,
        copyDirToTmp: ()=>copyDirToTmp,
        getCwd: ()=>getCwd,
        loadConfig: ()=>loadConfig
    });
    var picocolors = __webpack_require__("../../node_modules/.pnpm/picocolors@1.0.0/node_modules/picocolors/picocolors.js");
    var picocolors_default = /*#__PURE__*/ __webpack_require__.n(picocolors);
    const log = {
        normal: (message)=>console.log(message),
        success: (message)=>console.log(picocolors_default().green(message)),
        info: (message)=>console.log(picocolors_default().blue(message)),
        error: (message)=>console.log(picocolors_default().red(message)),
        warn: (message)=>console.log(picocolors_default().yellow(message)),
        debug: (message)=>console.log(picocolors_default().gray(message))
    };
    const external_workspace_tools_namespaceObject = require("workspace-tools");
    const getCwd = ()=>(0, external_workspace_tools_namespaceObject.findPackageRoot)(process.cwd());
    const external_cosmiconfig_namespaceObject = require("cosmiconfig");
    const external_cosmiconfig_typescript_loader_namespaceObject = require("cosmiconfig-typescript-loader");
    const loadConfig = async (options)=>{
        const result = await (0, external_cosmiconfig_namespaceObject.cosmiconfig)("code-updater", {
            stopDir: getCwd(),
            searchPlaces: [
                "hot-updater.config.js",
                "hot-updater.config.cjs",
                "hot-updater.config.ts",
                "hot-updater.config.cts",
                "hot-updater.config.mjs",
                "hot-updater.config.cjs"
            ],
            ignoreEmptySearchPlaces: false,
            loaders: {
                ".ts": (0, external_cosmiconfig_typescript_loader_namespaceObject.TypeScriptLoader)(),
                ".mts": (0, external_cosmiconfig_typescript_loader_namespaceObject.TypeScriptLoader)(),
                ".cts": (0, external_cosmiconfig_typescript_loader_namespaceObject.TypeScriptLoader)()
            }
        }).search();
        if (!result?.config) return null;
        if ("function" == typeof result.config) return await result.config(options);
        return result.config;
    };
    const external_path_namespaceObject = require("path");
    var external_path_default = /*#__PURE__*/ __webpack_require__.n(external_path_namespaceObject);
    const promises_namespaceObject = require("fs/promises");
    var promises_default = /*#__PURE__*/ __webpack_require__.n(promises_namespaceObject);
    const copyDirToTmp = async (dir)=>{
        const cwd = getCwd();
        const tmpDir = external_path_default().join(cwd, ".code-updater");
        try {
            await promises_default().rm(tmpDir, {
                recursive: true,
                force: true
            });
        } catch (err) {}
        await promises_default().mkdir(tmpDir, {
            recursive: true
        });
        await promises_default().cp(dir, tmpDir, {
            recursive: true
        });
        return {
            tmpDir,
            removeTmpDir: ()=>promises_default().rm(tmpDir, {
                    recursive: true
                })
        };
    };
})();
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
